Page MenuHomePhabricator

[LoopUnroll] Use addClonedBlockToLoopInfo to add loop header to LI (NFC).
ClosedPublic

Authored by fhahn on Jan 30 2017, 3:26 PM.

Details

Summary

I have a similar patch up for review already (D29173). If you prefer I
can squash them both together.

Also I think there more potential for code sharing between
LoopUnroll.cpp and LoopUnrollRuntime.cpp. Do you think patches for
that would be worthwhile?

Diff Detail

Event Timeline

fhahn created this revision.Jan 30 2017, 3:26 PM
mkuper accepted this revision.Jan 30 2017, 3:37 PM

Yeah, I think it's the same deal as D29173. The only reservation I have is that this is an optimization, since you avoid a look-up. But that looks like a really minor win to me, and it's better to simplify the code.
So, LGTM, unless @mzolotukhin wants the optimization. :-)

As to general code sharing improvements within the unroller - sounds worthwhile to me.

This revision is now accepted and ready to land.Jan 30 2017, 3:37 PM
fhahn added a comment.Jan 31 2017, 5:14 AM

Ok great, thanks. I'll hold off committing the change a little longer for @mzolotukhin to raise any objects.

fhahn closed this revision.Feb 1 2017, 2:50 AM